Bug 10841

Summary: Не прописаны некоторые зависимости
Product: [Development] Sisyphus Reporter: Andrew Kornilov <hiddenman@altlinux.org>
Component: spamassassinAssignee: Sergey Y. Afonin <asy@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: normal    
Priority: P2 CC: dubrsl@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   

Description From 2007-02-14 17:45:12
sa-stats не работает из-за отсутствия зависимостей на:
perl-DateManip
perl-Parse-Syslog

Возможно, еще что-то не работает. findreq отключен что ли?

p.s. Есть еще несколько предложений по изменению прав и прочего, но это
отдельным багом будет :)
------- Comment #1 From 2007-04-10 18:17:27 -------
(In reply to comment #0)
> sa-stats не работает из-за отсутствия зависимостей на:
> perl-DateManip
> perl-Parse-Syslog

Исправлено в spamassassin-3.1.8-alt1. Прошу удостовериться и закрыть баг :)
 
> Возможно, еще что-то не работает. findreq отключен что ли?

%define _perl_req_method relaxed

Иначе spamassassin не собирается. :(
------- Comment #2 From 2011-12-08 09:55:16 -------
(В ответ на комментарий №1)
> (In reply to comment #0)
> > sa-stats не работает из-за отсутствия зависимостей на:
> > perl-DateManip
> > perl-Parse-Syslog
> 
> Исправлено в spamassassin-3.1.8-alt1. Прошу удостовериться и закрыть баг :)
>  
> > Возможно, еще что-то не работает. findreq отключен что ли?
> 
> %define _perl_req_method relaxed
> 
> Иначе spamassassin не собирается. :(

Как говорится на http://wiki.apache.org/spamassassin/IncreaseAccuracy
для проверки недостающих модулей можно запускать:
spamassassin -D --lint 2>&1 | grep -i failed
У меня вот показало что нужно поставить:
Dec  8 07:01:41.161 [18125] dbg: diag: [...] module not installed: Net::Ident
('require' failed)
Dec  8 07:01:41.162 [18125] dbg: diag: [...] module not installed:
Encode::Detect ('require' failed)

Думаю эти модули тоже можно в зависимости поставить. Первый собрал и на пути в
сизиф.